# Subscribing to channel created webhooks

When you make a request to install a new WhatsApp connector, this is an asynchronous process so you can subscribe the channel created [webhook](/api/notifications-api.md) as follows

{% openapi src="/files/D0mBedOSwDqoh0FFkgoO" path="/organizations/{organization\_id}/workspaces/{workspace\_id}/webhook-subscription" method="post" %}
[SMS-Webhook-twilio-2.yml](https://3210271997-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FdnJZeZvhOMhDQA8SpjQM%2Fuploads%2FQ8gpihs9epXmbMZgHjmT%2FSMS-Webhook-twilio-2.yml?alt=media\&token=1bce1175-4759-4cb7-84c1-c2bed4f949b4)
{% endopenapi %}

{% tabs %}
{% tab title="Example" %}
Replace `{{webhook_url}}` with an endpoint you will recieve webhooks and `{{signing_key}}` is a secret you can use to [verify](https://docs.bird.com/api/notifications-api/api-reference/webhooks/verifying-a-webhook) the webhook

{% code overflow="wrap" %}

```bash
curl --location 'https://api.bird.com/workspaces/<your-workspace-id>/numbers' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: AccessKey <your-access-key>' \
--data '{
  "service": "channels",
  "event": "channel.created",
  "url": "{{webhook_url}}",
  "signingKey": "{{signing_key}}",
  "eventFilters": []
}'
```

{% endcode %}
{% endtab %}

{% tab title="Example webhook" %}
Below is a sample channels created event:

```json
{
  "service": "channels",
  "event": "channel.created",
  "organizationiD": "{{orgId}}
  "workspaceId": "{{workspaceId}}"
  "payload": {
      "id": "{{channelid}}",        
      "platformId": "whatsapp"
      "connectorId": "{{connectorid}}"
      "identifier": {{whatsappphoneid}}
      "name": {{channelname}}
      "status": "active"
  }
}

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/channels-api/supported-channels/programmable-whatsapp/whatsapp-isv-integration/setting-up-your-customer-workspaces/subscribing-to-channel-created-webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
